# $Revision: 1.24 $, $Date: 2010/11/16 08:18:28 $
%include	/usr/lib/rpm/macros.php
%define		_class		HTML
%define		_subclass	Crypt
%define		_status		stable
%define		_pearname	%{_class}_%{_subclass}

Summary:	%{_pearname} - Encrypts text which is later decoded using javascript on the client side
Summary(pl.UTF-8):	%{_pearname} - Szyfruje tekst, który jest po stronie klienta rozkodowany javascriptem
Name:		php-pear-%{_pearname}
Version:	1.3.4
Release:	1
License:	PHP 2.02
Group:		Development/Languages/PHP
Source0:	http://pear.php.net/get/%{_pearname}-%{version}.tgz
# Source0-md5:	2560a624402e2e8847182ef309cdc670
URL:		http://pear.php.net/package/HTML_Crypt/
BuildRequires:	php-pear-PEAR
BuildRequires:	rpm-php-pearprov >= 4.0.2-88
BuildRequires:	rpmbuild(macros) >= 1.300
Requires:	php-pear
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
The PEAR::HTML_Crypt provides methods to encrypt text, which can be
later be decrypted using JavaScript on the client side. This is very
useful to prevent spam robots collecting email addresses from your
site, included is a method to add mailto links to the text being
generated.

In PEAR status of this package is: %{_status}.

%description -l pl.UTF-8
PEAR::HTML_Crypt dostarcza metody szyfrowania tekstu, który może być
potem rozszyfrowany przy użyciu JavaScriptu po stronie klienta. Jest
to użyteczne aby nie pozwolić robotom spamowym zbierać adresy mailowe
z twojej strony, włączając w to dodawanie linków mailto do
generowanego tekstu.

Ta klasa ma w PEAR status: %{_status}.

%prep
%pear_package_setup

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{php_pear_dir}
%pear_package_install

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc install.log
%{php_pear_dir}/.registry/*.reg
%{php_pear_dir}/%{_class}/*.php

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: php-pear-HTML_Crypt.spec,v $
Revision 1.24  2010/11/16 08:18:28  glen
- updated to: 1.3.4

Revision 1.23  2008/10/11 09:11:32  adamg
- updated to 1.3.3

Revision 1.22  2008-01-31 12:16:06  glen
- rel 2

Revision 1.21  2007-08-26 09:05:52  adamg
- updated to 1.3.2

Revision 1.20  2007/02/13 08:06:39  glen
- tabs in preamble

Revision 1.19  2007/02/12 01:06:24  baggins
- converted to UTF-8

Revision 1.18  2006/12/30 10:17:28  adamg
- updated to 1.3.1

Revision 1.17  2006/05/23 20:18:14  glen
- BR rpm-build macros >= 1.300 for %pear_ macros

Revision 1.16  2006/03/07 10:20:48  glen
- BR php-pear-PEAR

Revision 1.15  2005/10/05 20:11:14  glen
- rel 4

Revision 1.14  2005/09/22 22:00:34  glen
- new pear packaging

Revision 1.13  2004/12/03 22:12:19  adamg
- rebuild with new PEAR provides/requires scripts
- release 3

Revision 1.12  2004/08/18 00:21:47  havner
- rel 2

Revision 1.11  2004/05/30 13:13:49  adamg
- fixed english information about status of the package

Revision 1.10  2004/02/17 21:15:11  adamg
- added information about package's status

Revision 1.9  2004/02/17 21:11:26  adamg
- updated to 1.2.2

Revision 1.8  2003/10/07 20:54:45  adamg
- do not use macros in URL

Revision 1.7  2003/08/31 20:49:09  adamg
- more specific URL

Revision 1.6  2003/05/28 10:50:28  adamg
- massive manual attack: pear packages update

Revision 1.5  2003/05/28 08:58:36  adamg
- massive attack: added source0-md5

Revision 1.4  2003/05/25 06:25:19  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.3  2002/10/14 23:41:06  misto
- new rpm-php-requires/provides scripts
- release 2

Revision 1.2  2002/09/13 13:23:41  blues
- 1.1 - STBR

Revision 1.1  2002/09/08 17:23:43  blues
- initial release
